const SerialPort = require('@serialport/stream')
const Binding = require('@serialport/bindings')
const parsers = require('serialport/lib/parsers')

/**
 * @type {AbstractBinding}
 */
SerialPort.Binding = Binding

/**
 * @type {Parsers}
 */
SerialPort.parsers = parsers

module.exports = SerialPort
